# $Revision: 1.22 $, $Date: 2004/08/18 21:26:12 $
%bcond_without	ggi	# without ggi support
%bcond_without	sdl	# without sdl support

Summary:	Game like Nibbles but different
Summary(pl):	Gra w stylu Nibbles, ale inna
Name:		heroes
Version:	0.21
Release:	2
License:	GPL
Group:		Applications/Games
Source0:	http://dl.sourceforge.net/heroes/%{name}-%{version}.tar.bz2
Patch0:		%{name}-gkh.patch
# Source0-md5:	ec608676e2e75abdfddf8072bb3b28db
URL:		http://heroes.sourceforge.net/
%if %{with sdl}
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
%endif
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	gettext
%if %{with ggi}
BuildRequires:	libggi-devel
BuildRequires:	libgii-devel
BuildRequires:	libmikmod-devel
%endif
Requires:	%{name}-data
Requires:	%{name}-engine
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Heroes is similar to the "Tron" and "Nibbles" games of yore, but
includes many graphical improvements and new game features. In it, you
must maneuver a small vehicle around a world and collect powerups
while avoiding obstacles, your opponents' trails, and even your own
trail. Several modes of play are available, including
"get-all-the-bonuses", deathmatch, and "squish-the-pedestrians".

%description -l pl
Heroes jest podobny do starych gier "Tron" i "Nibbles", ale zawiera
wiele graficznych ulepsze i nowe wasnoci. W tej grze musisz
manewrowa maym pojazdem i zbiera dopalacze, unikajc przeszkd i
ladw przeciwnikw, a nawet swojego wasnego ladu. S dostpne rne
tryby gry, w tym "zbierz-wszystkie-premie", deathmatch oraz
"rozjed-pieszych".

%package sdl
Summary:	Game like Nibbles but different - SDL engine
Summary(pl):	Gra w stylu Nibbles, ale inna - wersja SDL
Group:		Applications/Games
Requires:	%{name} = %{version}
Provides:	%{name}-engine

%description sdl
Heroes is similar to the "Tron" and "Nibbles" games of yore, but
includes many graphical improvements and new game features. In it, you
must maneuver a small vehicle around a world and collect powerups
while avoiding obstacles, your opponents' trails, and even your own
trail. Several modes of play are available, including
"get-all-the-bonuses", deathmatch, and "squish-the-pedestrians".
This package containts SDL engine.

%description sdl -l pl
Heroes jest podobny do starych gier "Tron" i "Nibbles", ale zawiera
wiele graficznych ulepsze i nowe wasnoci. W tej grze musisz
manewrowa maym pojazdem i zbiera dopalacze, unikajc przeszkd i
ladw przeciwnikw, a nawet swojego wasnego ladu. S dostpne rne
tryby gry, w tym "zbierz-wszystkie-premie", deathmatch oraz
"rozjed-pieszych".
Pakiet zawiera wersj SDL gry.

%package ggi
Summary:	Game like Nibbles but different - GGI engine
Summary(pl):	Gra w stylu Nibbles, ale inna - wersja GGI
Group:		Applications/Games
Requires:	%{name} = %{version}
Provides:	%{name}-engine

%description ggi
Heroes is similar to the "Tron" and "Nibbles" games of yore, but
includes many graphical improvements and new game features. In it, you
must maneuver a small vehicle around a world and collect powerups
while avoiding obstacles, your opponents' trails, and even your own
trail. Several modes of play are available, including
"get-all-the-bonuses", deathmatch, and "squish-the-pedestrians".
This package containts GGI engine.

%description ggi -l pl
Heroes jest podobny do starych gier "Tron" i "Nibbles", ale zawiera
wiele graficznych ulepsze i nowe wasnoci. W tej grze musisz
manewrowa maym pojazdem i zbiera dopalacze, unikajc przeszkd i
ladw przeciwnikw, a nawet swojego wasnego ladu. S dostpne rne
tryby gry, w tym "zbierz-wszystkie-premie", deathmatch oraz
"rozjed-pieszych".
Pakiet zawiera wersj ggi gry

%prep
%setup -q
%patch0

%build
cp -f /usr/share/automake/config.sub tools
%if %{with ggi}
%configure \
	--with-ggi \
	--with-gii \
	--with-mikmod \
	--without-sdl \
	--without-sdl-mixer
%{__make}
mv src/heroes src/heroes-ggi
%endif

%if %{with sdl}
%configure \
	--without-ggi \
	--without-gii \
	--without-mikmod \
	--with-sdl \
	--with-sdl-mixer
%{__make}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with ggi}
install src/%{name}-ggi $RPM_BUILD_ROOT%{_bindir}/%{name}-ggi
%endif

%if %{with sdl}
mv $RPM_BUILD_ROOT%{_bindir}/%{name}{,-sdl}
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/%{name}lvl
%{_mandir}/man?/%{name}*
%{_infodir}/%{name}*
%{_datadir}/%{name}

%if %{with sdl}
%files sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}-sdl
%endif

%if %{with ggi}
%files ggi
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}-ggi
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: heroes.spec,v $
Revision 1.22  2004/08/18 21:26:12  undefine
- release 2

Revision 1.21  2004/01/29 21:45:59  undefine
- fix build on sparc/ppc, release 1.3

Revision 1.20  2004/01/29 20:16:21  undefine
- ukhm.. it's not depend from ggi

Revision 1.19  2004/01/29 20:09:26  undefine
- conditionals support, don't build ggi version on ppc/sparc(bigendians machines)

Revision 1.18  2004/01/29 18:25:52  undefine
- add build sdl/ggi version in separate subpackages, release 1.2, ready to
  tests

Revision 1.17  2004/01/29 17:57:06  undefine
- don't require sound* packages. works without it ;)

Revision 1.16  2004/01/29 17:55:12  undefine
- copy config.sub to allow build on amd64

Revision 1.15  2004/01/29 17:16:04  undefine
- split heroes into subpackages

Revision 1.14  2003/10/01 23:49:22  adamg
- updated to 0.21

Revision 1.13  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:48:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/08 11:31:25  qboosh
- killed subshells

Revision 1.10  2003/04/08 11:29:37  qboosh
- use http for sources from sourceforge

Revision 1.9  2002/07/18 16:36:25  kloczek
- release 5: removed INSTALL from %doc.

Revision 1.8  2002/07/16 11:15:19  krolik
updated %doc section

Revision 1.7  2002/04/25 16:33:42  arturs
fixed a small typo

Revision 1.6  2002/02/25 21:04:55  filon
- fixed docs (no CHANGES file)
- release 4

Revision 1.5  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/31 09:19:08  qboosh
- adapterized (includes fixing Log tag)
- pl translations
- changed Source URLs to ftp (note: version 0.15 on ftp)

* Thu Jul 12 2001 Daouda LO <daouda@mandrakesoft.com> 0.12-2mdk
- update heroes source data to 1.1.
- provides mising icons.

* Wed Jul 11 2001  Daouda Lo <daouda@mandrakesoft.com> 0.12-1mdk
- new version.

* Tue Jul  3 2001 Pixel <pixel@mandrakesoft.com> 0.11-1mdk
- new version

* Mon May 14 2001 Pixel <pixel@mandrakesoft.com> 0.10-2mdk
- rebuild with new SDL

* Tue May  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10-1mdk
- version 0.10

* Mon Mar  5 2001 Pixel <pixel@mandrakesoft.com> 0.9-2mdk
- add mo files (thanks to Alexandre Duret-Lutz)

* Sat Mar  3 2001 Pixel <pixel@mandrakesoft.com> 0.9-1mdk
- new version

* Wed Dec 20 2000 Pixel <pixel@mandrakesoft.com> 0.8-1mdk
- new version

* Tue Dec 19 2000 Pixel <pixel@mandrakesoft.com> 0.7-2mdk
- rebuild with new libSDL_mixer

* Wed Nov 29 2000 Pixel <pixel@mandrakesoft.com> 0.7-1mdk
- initial spec
